Upgrade to 12.6 version throwing errors

Document ID : KB000072300
Last Modified Date : 19/04/2018
Show Technical Document Details
Issue:
We are upgrading from 12.5 to 12.6 on AIX under different user than root and receiving following errors. [1] 20180226.165650.149 DSA_I1240 DSA shutting down [1] 20180226.170959.507 Failed to initialise crypto/ssl libraries [1] 20180226.172321.156 DSA_E2340 Out of memory
Resolution:
Customer was able to figure the issue out. When we ran dxsyntax we were getting follwoing error. "$ dxsyntax Please check atleast one of the following conditions are met. *) Set CAPKIHOME environment variable. *) Pass valid second parameter. Ex: if second parameter is /a/b/c/library.so , we assume /a/b/c has all required CA-OpenSSL shared libraries Unable to initialize DSA configuration parser I copied the capki folder to our local Ca_Dir base location and set capkihome and it worked.